#!/bin/sh

V65_SYS="../V65/system.img"
V65_DAT="../V65/userdata.img"
A3_SYS="../A3/system.img"
A3_DAT="../A3/userdata.img"
M1_SYS=""
M1_DAT=""
#M1_SYS="../M1/system.img"
#M1_DAT="../M1/userdata.img"

SPLIT_NIB="../split_nib"
A3_NIB="../zImage_rz_60_a3_20110511.bin"
V65_NIB="../RK43A_60BWFRT_RAMOSV65_20110817_1.bin"

if [ "x$A3_SYS" == "x" ]; then
	$SPLIT_NIB $A3_NIB
	mkdir -p A3
	mv cache.bin system.img vfat.bin boot.img mbr-xboot.bin recovery.img userdata.img A3
	A3_SYS=A3/system.img
	A3_DAT=A3/userdata.img
fi
if [ "x$V65_SYS" == "x" ]; then
	$SPLIT_NIB $V65_NIB
	mkdir -p V65
	mv cache.bin system.img vfat.bin boot.img mbr-xboot.bin recovery.img userdata.img V65
	V65_SYS=V65/system.img
	V65_DAT=V65/userdata.img
fi

if [ ! -f $A3_SYS -o ! -f $A3_DAT ]; then
	echo "error: cannot found A3 system.img or A3 userdata.img"
	exit 1;
fi
if [ ! -f $V65_SYS -o ! -f $V65_DAT ]; then
	echo "error: cannot found V65 system.img or V65 userdata.img"
	exit 1;
fi

cp $A3_SYS system-out.img
cp $A3_DAT userdata-out.img

if [ ! -d out_sys ]; then
	mkdir -p out_sys out_dat v65_sys v65_dat a3_sys a3_dat

	mount -r $A3_SYS a3_sys -o loop
	mount -r $A3_DAT a3_dat -o loop
	mount -r $V65_SYS v65_sys -o loop
	mount -r $V65_DAT v65_dat -o loop

	mount  system-out.img out_sys -o loop
	mount  userdata-out.img out_dat -o loop
fi
if [ "x$M1_SYS" != "x" ]; then
	mkdir -p m1_sys m1_dat

	mount -r $M1_SYS m1_sys -o loop
	mount -r $M1_DAT m1_dat -o loop
fi
