#!/bin/sh

SPLIT_NIB="../split_nib"
A3_NIB="../zImage_rz_60_a3_20110511.bin"
V65_NIB="../RK43A_60BWFRT_RAMOSV65_20110817_1.bin"

A3_SYS=A3/system.img
A3_DAT=A3/userdata.img
V65_SYS=V65/system.img
V65_DAT=V65/userdata.img

rm -f out_sys/userdata.img
rm -f out_sys/recovery.cpio.img 

cp -p a3_dat/app/GoogleServicesFramework.apk out_sys/app
cp -p a3_dat/app/Vending.apk out_sys/app

#cp -p v65_sys/app/GoogleServicesFramework.apk out_sys/app
#cp -p v65_sys/app/Vending.apk out_sys/app

cp -p v65_sys/app/IngenicScreenCalibration.apk out_sys/app
cp -p v65_sys/app/SeeJoPlayer.apk out_sys/app
cp -p v65_sys/app/Launcher2.apk out_sys/app

chown root.root out_sys/app/*.apk 

tar -C v65_sys/etc/jz4760_bin -cvf - . | \
tar -C out_sys/etc/jz4760_bin -xpf - 
tar -C v65_sys/etc/jz4760b_bin -cvf - . | \
tar -C out_sys/etc/jz4760b_bin -xpf - 
tar -C v65_sys/lib/jz4760b_lib -cvf - . | \
tar -C out_sys/lib/jz4760b_lib -xpf - 
#tar -C v65_sys/framework -cvf - . | \
#tar -C out_sys/framework -xpf - 

if [ -d custom_files/lib ]; then
  for i in custom_files/lib/*.so ; do
	cp -p $i out_sys/lib
  done
fi
if [ -d custom_files/sys_app ]; then
  for i in custom_files/sys_app/*.apk ; do
	cp -p $i out_sys/app
  done
fi
if [ -f out_sys/app/LatinIME.apk ]; then
	rm out_sys/app/PinyinIME.apk
fi

rm -f out_sys/lib/hw/sensors.goldfish.so
rm -f out_sys/lib/hw/sensors.lynx.so

if [ -d custom_files/fonts ]; then
  for i in custom_files/fonts/*.ttf ; do
	cp -p $i out_sys/fonts
  done
fi
if [ -d custom_files/sys_patch ]; then
	( cd out_sys; for i in ../custom_files/sys_patch/*.patch; do \
	   patch -p1 < $i ; done )
fi

dd if=/dev/zero of=out_sys/tmp_file bs=1024k
rm -f out_sys/tmp_file

